<?php
class ImageType {

	public static function manifest(){
		return array(
			'uid' => 'image',
			'label' => 'Schéma / Image',
			'description' => 'Fichier image de type jpg/jpeg/png/bmp/gif/svg',
			'fromExtension' => array('jpg','jpeg','png','bmp','gif','svg'),
			'icon' => 'fas fa-code-branch',
			'color' => '#ffffff',
			'background' => '#d7332d'
			
		);
	}

	//Import depuis un glisser déposé du fichier
	public static function fromFile($resource){
		// $resource->save();
		// $ext = getExt($resource->label);
		// $name = $resource->id.'.'.$ext;
		// file_put_contents(SKETCH_PATH.$name,$resource->content);
		// $resource->content = $name;
		// return $resource;
	}

	//Import depuis un flux json compressé de la ressource
	public static function fromJson($resource){
		// $resource->save();
		// $stream = base64_decode($resource->content);
		// $resource->content = $resource->id.'.png';
		// file_put_contents(SKETCH_PATH.$resource->content,$stream);
		// return $resource;
	}
	
	//export en fichier JSON compressé de la ressource
	public static function toJson($resource){
		// $resource = $resource->toArray();
		// $resource['content'] = base64_encode(file_get_contents(SKETCH_PATH.$resource['content']));
		// return $resource;
	}

	public static function toFile($resource){

		// $ext = getExt($resource->content);
		// $infos = self::manifest();
		// return array(
		// 	'name'=> slugify($resource->label).'.'.$ext,
		// 	'content' => file_exists(SKETCH_PATH.$resource->content) ? file_get_contents(SKETCH_PATH.$resource->content) : ''
		// );
	}

	
	/* EDITION */
	public static function toHtml($resource,$sketch=null){
		$infos = self::manifest();

		$response = array();
		//.$resource->id
		$images = array();
		
		foreach(glob($resource->directory().SLASH.'*.*') as $file){
			$images[] = array(
				'path' => 'hackpoint'.SLASH.'sketch'.SLASH.$resource->sketch.SLASH.$resource->id.SLASH.basename($file),
				'url' => 'action.php?action=hackpoint_download_file&file='.base64_encode('sketch'.SLASH.$resource->sketch.SLASH.$resource->id.SLASH.rawurlencode(basename($file))),
				'name' => basename($file),
				'icon' => getExtIcon(getExt($file))
			);
		}

		$response['html'] = '
		<div data-type="dropzone" data-preview data-label="Faites glisser vo(s) image(s) das cette zone ou cliquez dessus" data-delete="resource_delete_document" data-save="resource_add_document" data-allowed="jpg,bmp,gif,png,jpeg,svg" class="form-control hackpoint-type-image" id="document" name="document">
				'.json_encode($images).'
			</div>';
		

		return $response;
	}

}
?>